SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Apache Xerces Vendors:   Apache Software Foundation
Apache Xerces-C XML Parser Bug Lets Remote Users Deny Service
SecurityTracker Alert ID:  1032254
SecurityTracker URL:  http://securitytracker.com/id/1032254
CVE Reference:   CVE-2015-0252   (Links to External Site)
Date:  May 5 2015
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to 3.1.2
Description:   A vulnerability was reported in Apache Xerces-C. A remote user can cause denial of service conditions on the target system.

A remote user can send specially crafted XML data to trigger a flaw in 'internal/XMLReader.cpp' and cause the target application to crash.

Anton Rager and Jonathan Brossard of the Salesforce.com Product Security Team and Ben Laurie of Google separately reported this vulnerability.

Impact:   A remote user can cause the target application to crash.
Solution:   The vendor has issued a fix (3.1.2).

The vendor's advisory is available at:

http://xerces.apache.org/xerces-c/secadv/CVE-2015-0252.txt

Vendor URL:  xerces.apache.org/xerces-c/secadv/CVE-2015-0252.txt (Links to External Site)
Cause:   Input validation error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC